/* jshint esversion : 6 */

require('app-code-js');
const mysqlConnection = require('./connection');


module.exports = () => {


    return class MySqlDbConnection {
        constructor(opt) {
            this._db = mysqlConnection(opt);
        }

        get ready() {
            return this._db.ready;
        }

        startConnection(fn) {
            return this._db.startConnection(fn);
        }

        get dbName() {
            return this._db._connectionParams.database;
        }
    };




};